aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2020-11-07 12:28:48 -0300
committerSilvio Rhatto <rhatto@riseup.net>2020-11-07 12:28:48 -0300
commitd39c5d247a167acf3747b061137c42f798183e3c (patch)
tree16a6ca2a2360e9bfaebf99f9fe21c42cf26a8042
parentbb3f78c11888678a9eb268c6d27fb4b5b0c7f207 (diff)
downloadkeyringer-d39c5d247a167acf3747b061137c42f798183e3c.tar.gz
keyringer-d39c5d247a167acf3747b061137c42f798183e3c.tar.bz2
Feat: adds "pass" action
-rw-r--r--ChangeLog4
-rwxr-xr-xlib/keyringer/actions/pass20
2 files changed, 24 insertions, 0 deletions
diff --git a/ChangeLog b/ChangeLog
index 124f69e..474a09f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2020-11-07 - develop - Silvio Rhatto <rhatto@riseup.net>
+
+ Adds "pass" action behaving like pass(1) for outputing single-line secrets.
+
2020-01-18 - develop - Silvio Rhatto <rhatto@riseup.net>
Install zsh completion in the default path
diff --git a/lib/keyringer/actions/pass b/lib/keyringer/actions/pass
new file mode 100755
index 0000000..7bca7d5
--- /dev/null
+++ b/lib/keyringer/actions/pass
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+#
+# Behave like pass(1), outputing just the first line of a secret.
+#
+
+# Load functions
+LIB="`dirname $0`/../functions"
+source "$LIB" read $* || exit 1
+
+# Get file
+keyringer_get_file "$2"
+
+# Decrypt
+pass="$($GPG --use-agent -d "$KEYDIR/$FILE" 2> /dev/null | head -n 1)"
+
+# Output password
+echo "$pass"
+
+# Exit
+exit "$?"